#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.sat-elita.info/                                          #
#                                                                              #
################################################################################

. /var/config/swap.conf
. /var/config/symlink
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Trwa wykrywanie partycji swap, czekaj..."
  info2="Wykryto partycje swap "
  info3="SWAP PART ON"
  info4="Partycja SWAP zostala aktywowana"
  info5="Brak, lub zle utworzona partycja swap"
  info6="Emulacja swapa w pliku aktywowana"
  info7="Czekaj..."
  info8="SWAP Zamontowany"
  info9="SWAP jest wylaczony"
  info10="Jesli chcesz korzystac ze SWAPA musisz go aktywowac"

elif [ $lang == en ]; then

  info1="Detecting SWAP partition, wait..."
  info2="SWAP detected on "
  info3="SWAP PART ON"
  info4="SWAP partition activated"
  info5="SWAP is missing or wrong partition type"
  info6="SWAP file emulation activated"
  info7="Wait..."
  info8="SWAP mounted"
  info9="SWAP is not active"
  info10="If you want to use SWAP partition activate it"

elif [ $lang == de ]; then

  info1="Swap-Partition wird gesucht,bitte warten..."
  info2="Swap-Partition gefunden "
  info3="SWAP PART ON"
  info4="SWAP-Partition aktiwiert "
  info5="Keine oder Fehlerhafte Swap-Partition"
  info6="Swapemulation in Datei aktiwiert"
  info7="Warte..."
  info8="SWAP Gemoutet"
  info9="SWAP ist deaktiwiert"
  info10="Wenn du Swap-Partition nutzen wilst musst du sie aktiwieren"

elif [ $lang == it ]; then

  info1="Rilevamento partizione di swap, attendi..."
  info2="SWAP rilevamento in "
  info3="SWAP PART ON"
  info4="Partizione di SWAP attivata"
  info5="Partizione di SWAP non trovata o tipo di partizione errata"
  info6="SWAP file in emulazione attivato"
  info7="Attendi..."
  info8="SWAP montato"
  info9="SWAP non attivo"
  info10="Se si desidera utilizzare la partizione di swap, attivarla"

elif [ $lang == es ]; then
  info1="Detectando la particion SWAP, espere..."
  info2="Detectado el SWAP activo "
  info3="SWAP PART Activa"
  info4="Particion SWAP Activada"
  info5="El SWAP no existe o la particion es incorrecta"
  info6="El arcivo de emulacion SWAP activado"
  info7="Espere..."
  info8="El SWAP esta montado"
  info9="El SWAP no esta activo"
  info10="Si desea utilizar la particion SWAP debe activarla"

fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

if [ $swap == on ]; then

   echo $info1
   id_swap=`fdisk -l | grep 'Linux swap' | awk '{print $5}' | head -n 1`
   echo ""

   if [ $id_swap == "82" ]; then
       swap_dev=`fdisk -l | grep 'Linux swap' | awk '{print $1}' | head -n 1`
       echo $info2 $swap_dev
       echo ""
       mkswap $swap_dev
       swapon $swap_dev
       echo ""
       echo $info3 > /dev/vfd
       sleep 1
       echo $info4
       echo ""
   else
       echo $info5
       echo ""
       echo $info6
       echo ""
       echo $info7
       $SYMLINK/swap.sh >/dev/null
       echo ""
       echo $info8
       echo ""
   fi

else
    if [ -e /swap/swapfile ]; then
        rm /swap/swapfile
        rmdir /swap/
    fi
    echo $info9
    echo ""
    echo $info10
    echo ""
fi

exit 0